summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>2010-03-25 18:24:08 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>2010-03-25 18:24:08 +0000
commit79671b03b8af529de13cae43b67944833b78139d (patch)
treea8e4f4a19526bba5d3219b17b8fb8e9a991ef221
parent2010-03-25 Joel Sherrill <joel.sherrill@oarcorp.com> (diff)
downloadrtems-testing-79671b03b8af529de13cae43b67944833b78139d.tar.bz2
2010-03-25 Joel Sherrill <joel.sherrill@oarcorp.com>
* do_one: Toggle command line arguments. * rundeja: Remove one comment line. * test_driver: Add commadn line arguments. * do_tests: Fix path.
-rw-r--r--gcc/ChangeLog7
-rwxr-xr-xgcc/do_one56
-rw-r--r--gcc/do_tests4
-rwxr-xr-xgcc/rundeja1
-rwxr-xr-xgcc/test_driver107
5 files changed, 133 insertions, 42 deletions
diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 91e68a5..7aae6b4 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,10 @@
+2010-03-25 Joel Sherrill <joel.sherrill@oarcorp.com>
+
+ * do_one: Toggle command line arguments.
+ * rundeja: Remove one comment line.
+ * test_driver: Add commadn line arguments.
+ * do_tests: Fix path.
+
2009-10-27 Joel Sherrill <joel.sherrill@oarcorp.com>
* rundeja: Use correct name for simulator.
diff --git a/gcc/do_one b/gcc/do_one
index 0b84d6b..4740fbd 100755
--- a/gcc/do_one
+++ b/gcc/do_one
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/sh -x
#
# Execution Times (for sparc-rtems${RTEMS_VERSION})
#
@@ -80,6 +80,15 @@ fatal()
exit 1
}
+toggle()
+{
+ case $1 in
+ no) echo "yes" ;;
+ yes) echo "no" ;;
+ *) fatal "Unknown value to toggle ($1)" ;;
+ esac
+}
+
while getopts bdDnv1cmargCATM OPT
do
case "$OPT" in
@@ -91,28 +100,28 @@ do
do_ada="yes"
do_rtems="yes"
;;
- d) do_cleanup="no" ;;
- D) do_gdb="yes" ;;
+ d) do_cleanup=`toggle ${do_cleanup}` ;;
+ D) do_gdb=`toggle ${do_gdb}` ;;
T) run_gcctests="yes"
run_acats="yes"
;;
# unrpm binutils
- b) do_binutils="yes" ;;
+ b) do_binutils=`toggle ${do_binutils}` ;;
# Build the native
- n) do_native="yes";;
+ n) do_native=`toggle ${do_native}` ;;
# Stage 1 arguments
- 1) do_stage1="yes";;
- c) do_cxx="no";;
- m) do_multilib="no";;
+ 1) do_stage1=`toggle ${do_stage1}` ;;
+ c) do_cxx=`toggle ${do_cxx}` ;;
+ m) do_multilib=`toggle ${do_multilib}` ;;
# Stage 2 arguments
- a) do_ada="yes" ;;
+ a) do_ada=`toggle ${do_ada}` ;;
# Build RTEMS
- r) do_rtems="yes" ;;
+ r) do_rtems=`toggle ${do_rtems}` ;;
# Testsuites to run
- g) run_gcctests="yes" ;;
- C) run_acats="yes" ;;
- v) verbose="yes";;
- M) do_mail="no";;
+ g) run_gcctests=`toggle ${run_gcctests}` ;;
+ C) run_acats=`toggle ${run_acats}` ;;
+ v) verbose=`toggle ${verbose}` ;;
+ M) do_mail=`toggle ${do_mail}` ;;
*) fatal;;
esac
done
@@ -433,9 +442,24 @@ j_gcc1()
--enable-newlib-mb --enable-newlib-iconv \
--with-gnu-ld --with-newlib --verbose --with-system-zlib --disable-nls \
--enable-version-specific-runtime-libs \
- --enable-languages=c${cxx} --target=$TARGET --prefix=$INSTALL &&
- make ${MAKEJOBS} &&
+ --enable-languages=c${cxx} --target=$TARGET --prefix=$INSTALL
+ if [ $? -ne 0 ] ; then
+ echo "Failed to configure GCC C/C++ .. bailing"
+ exit 1
+ fi
+
+ make ${MAKEJOBS}
+ if [ $? -ne 0 ] ; then
+ echo "Failed to build GCC C/C++ .. bailing"
+ exit 1
+ fi
+
make install
+ if [ $? -ne 0 ] ; then
+ echo "Failed to install GCC C/C++ .. bailing"
+ exit 1
+ fi
+
}
if [ ${do_stage1} = "yes" ] ; then
diff --git a/gcc/do_tests b/gcc/do_tests
index a9d0b91..52fe899 100644
--- a/gcc/do_tests
+++ b/gcc/do_tests
@@ -5,10 +5,10 @@
#
gcc=gcc
-prefix=/home/joel/work-gnat/svn/install
+prefix=/users/joel/work-gnat/svn/install
target=powerpc-rtems4.10
bsp=psim
-tmpdir=/home/joel/work-gnat/svn/install/../gcctests-${bsp}
+tmpdir=/users/joel/work-gnat/svn/install/../gcctests-${bsp}
cd ${gcc}
rm -f site.exp
diff --git a/gcc/rundeja b/gcc/rundeja
index f1e33df..3ca07c7 100755
--- a/gcc/rundeja
+++ b/gcc/rundeja
@@ -119,7 +119,6 @@ RTEMS_MAKEFILE_PATH=${rtemsdir} \
RTEMS_CONFIG_OBJ=${rtems_config} \
--target_board=rtems-${CPU}-${DEJABSP} \
"
-#"execute.exp=pr206*"
# "execute.exp=pr206*"
# vect.exp=vect*
# powerpc.exp=405*
diff --git a/gcc/test_driver b/gcc/test_driver
index 0f85b5d..31f48dc 100755
--- a/gcc/test_driver
+++ b/gcc/test_driver
@@ -18,9 +18,6 @@ if [ ! -d ${BASEDIR} ] ; then
exit 1
fi
-start=`date`
-echo Started at: ${start}
-
BASEDIR=`pwd`
for d in ${AUTOCONF} ${AUTOMAKE} ${BINUTILSDIR} \
@@ -32,11 +29,76 @@ do
fi
done
-### TODO: Parse arguments to get these
-doCleanInstallPoint="yes"
-doUpdateTools=yes
-doUpdateRTEMS=yes
-doNative=yes
+toggle()
+{
+ case $1 in
+ no) echo "yes" ;;
+ yes) echo "no" ;;
+ *) fatal "Unknown value to toggle ($1)" ;;
+ esac
+}
+
+usage()
+{
+cat <<EOF
+do_one [options] CPU .. CPU
+ -c - clean install point (also installs auto tools)
+ -u - update GNU source if version from CVS/SVN
+ -U - update RTEMS source if version from CVS/SVN (will bootstrap)
+ -v - verbose
+EOF
+}
+
+doCleanInstallPoint="no"
+doUpdateTools="no"
+doUpdateRTEMS="no"
+doNative="no"
+verbose="no"
+
+while getopts AcnuUv OPT
+do
+ case "$OPT" in
+ A) doCleanInstallPoint=`toggle ${doCleanInstallPoint}`
+ doNative=`toggle ${doNative}`
+ doUpdateTools=`toggle ${doUpdateTools}`
+ doUpdateRTEMS=`toggle ${doUpdateRTEMS}`
+ ;;
+ c) doCleanInstallPoint=`toggle ${doCleanInstallPoint}` ;;
+ n) doNative=`toggle ${doNative}` ;;
+ u) doUpdateTools=`toggle ${doUpdateTools}` ;;
+ U) doUpdateRTEMS=`toggle ${doUpdateRTEMS}` ;;
+ v) verbose=`toggle ${verbose}` ;;
+ *) usage; exit 1;
+ esac
+done
+
+shiftcount=`expr $OPTIND - 1`
+shift $shiftcount
+
+args=$*
+
+CPUs=""
+for cpu in ${args}
+do
+ if [ ${cpu} = "native" ] ; then
+ doNative="yes"
+ else
+ CPUs="${CPUs} ${cpu}"
+ fi
+done
+
+
+if [ ${verbose} = "yes" ] ; then
+ echo "Clean Install Point: " ${doCleanInstallPoint}
+ echo "Install Autotools: " ${doCleanInstallPoint}
+ echo "Install Native: " ${doNative}
+ echo "Update Tool Source: " ${doUpdateTools}
+ echo "Update RTEMS: " ${doUpdateRTEMS}
+ echo "CPUs to Build: " ${CPUs}
+fi
+
+start=`date`
+echo Started at: ${start}
# HELPER - Update RTEMS
update_rtems()
@@ -108,7 +170,6 @@ do_cpus()
for cpu in $*
do
case $cpu in
- native) bsp=native ;;
arm) bsp=edb7312 ;;
avr) bsp=avrtest ;;
bfin) bsp=eZKit533 ;;
@@ -129,18 +190,18 @@ do_cpus()
doOne=${SCRIPTDIR}/gcc/do_one
# Everything
- time sh -x ${doOne} -v -d -A ${tests} \
+ # -M -> do not mail
+ #time sh -x ${doOne} -v -d -A ${tests} \
+# ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1
+ # Just C/C++, no clean up, no mail
+ time sh -x ${doOne} -v -b -D -1 -d -M -r ${tests} \
${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1
- # Just C
- #time sh -x ${doOne} -v -b -D -1 -r ${tests} \
- # ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1
# Just C/C++
#time sh -x ${doOne} -v -1 -r -g ${tests}\
# ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1
echo $?
done
-
stopped=`date`
echo Started at: ${start}
echo Stopped at: ${stopped}
@@ -153,24 +214,24 @@ fi
# Update gcc and install autotools in parallel
if [ ${doCleanInstallPoint} = "yes" ] ; then
- install_auto &
+ install_auto
fi
if [ ${doUpdateTools} = "yes" ] ; then
- update_gcc &
- update_others &
+ update_gcc
+ update_others
fi
wait
# Do any remaining prep work in parallel
if [ ${doUpdateRTEMS} = "yes" ] ; then
- update_rtems &
+ update_rtems
fi
wait
-# Build the native compiler as a baseline to build the others
- if [ ${doNative} = "yes" ] ; then
- time sh -x ${SCRIPTDIR}/gcc/do_one -n >${BASEDIR}/native.log 2>&1
- fi
+if [ ${doNative} = "yes" ]; then
+ # Build the native compiler as a baseline to build the others
+ time sh -x ${SCRIPTDIR}/gcc/do_one -n >${BASEDIR}/native.log 2>&1
+fi
# Now cycle over all these CPUs
if [ $? -eq 0 ] ; then
@@ -189,7 +250,7 @@ if [ $? -eq 0 ] ; then
# port insufficient to run gcc tests
do_cpus avr
else
- for cpu in $*
+ for cpu in ${CPUs}
do
do_cpus ${cpu}
done